Bug 1026216 - sfcbd runs as init_t
sfcbd runs as init_t
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: selinux-policy (Show other bugs)
7.0
All Linux
medium Severity medium
: rc
: ---
Assigned To: Lukas Vrabec
Milos Malik
:
Depends On: nopolicy
Blocks: 1042749 848829
  Show dependency treegraph
 
Reported: 2013-11-04 03:38 EST by Milos Malik
Modified: 2014-06-17 22:28 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-13 08:13:32 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Milos Malik 2013-11-04 03:38:10 EST
Description of problem:


Version-Release number of selected component (if applicable):
sblim-sfcb-1.3.16-7.el7.x86_64
selinux-policy-3.12.1-95.el7.noarch
selinux-policy-devel-3.12.1-95.el7.noarch
selinux-policy-doc-3.12.1-95.el7.noarch
selinux-policy-minimum-3.12.1-95.el7.noarch
selinux-policy-mls-3.12.1-95.el7.noarch
selinux-policy-targeted-3.12.1-95.el7.noarch

How reproducible:
always

Steps to Reproduce:
# service sblim-sfcb status
Redirecting to /bin/systemctl status  sblim-sfcb.service
sblim-sfcb.service - Small Footprint CIM Broker Service
   Loaded: loaded (/usr/lib/systemd/system/sblim-sfcb.service; disabled)
   Active: inactive (dead)

Nov 04 09:35:06 rhel70 sfcbd[16140]: --- localConnectServer ended
Nov 04 09:35:06 rhel70 sfcbd[16140]: --- Stopping adapters
Nov 04 09:35:06 rhel70 sfcbd[16140]: --- HTTP-Daemon terminating 16143
Nov 04 09:35:06 rhel70 sfcbd[16140]: --- Adapters stopped
Nov 04 09:35:06 rhel70 sfcbd[16140]: --- Stopping providers
Nov 04 09:35:06 rhel70 sfcbd[16140]: ---  stopped InternalProvider 16160
Nov 04 09:35:06 rhel70 sfcbd[16140]: ---  stopped InteropProvider 16157
Nov 04 09:35:06 rhel70 sfcbd[16140]: ---  stopped ClassProvider 16144
Nov 04 09:35:06 rhel70 sfcbd[16140]: --- Providers stopped
Nov 04 09:35:06 rhel70 systemd[1]: Stopped Small Footprint CIM Broker Service.
# service sblim-sfcb start
Redirecting to /bin/systemctl start  sblim-sfcb.service
# service sblim-sfcb status
Redirecting to /bin/systemctl status  sblim-sfcb.service
sblim-sfcb.service - Small Footprint CIM Broker Service
   Loaded: loaded (/usr/lib/systemd/system/sblim-sfcb.service; disabled)
   Active: active (running) since Mon 2013-11-04 09:35:16 CET; 2s ago
 Main PID: 16229 (sfcbd)
   CGroup: /system.slice/sblim-sfcb.service
           ├─16229 /usr/sbin/sfcbd
           ├─16230 /usr/sbin/sfcbd
           ├─16232 /usr/sbin/sfcbd
           ├─16233 /usr/sbin/sfcbd
           ├─16235 /usr/sbin/sfcbd
           ├─16238 /usr/sbin/sfcbd
           └─16242 /usr/sbin/sfcbd

Nov 04 09:35:16 rhel70 sfcbd[16229]: --- Collating namespaces for registrat...ry
Nov 04 09:35:16 rhel70 sfcbd[16229]: --- initSocketPairs: 64
Nov 04 09:35:16 rhel70 sfcbd[16229]: --- localConnectServer started
Nov 04 09:35:16 rhel70 sfcbd[16229]: --- Max Http procs: 8
Nov 04 09:35:16 rhel70 sfcbd[16229]: --- sfcbd HTTP Daemon V1.3.16 configur...32
Nov 04 09:35:16 rhel70 sfcbd[16229]: --- sfcbd HTTP Daemon V1.3.16 configur...32
Nov 04 09:35:16 rhel70 sfcbd[16229]: --- Using Basic Authentication
Nov 04 09:35:16 rhel70 sfcbd[16229]: --- Select timeout: 5 seconds
Nov 04 09:35:16 rhel70 sfcbd[16229]: --- Keep-alive timeout: 15 seconds
Nov 04 09:35:16 rhel70 sfcbd[16229]: --- Maximum requests per connection: 10
Hint: Some lines were ellipsized, use -l to show in full.
# ps -efZ | grep sfcbd
system_u:system_r:init_t:s0     root     16229     1  0 09:35 ?        00:00:00 /usr/sbin/sfcbd
system_u:system_r:init_t:s0     root     16230 16229  0 09:35 ?        00:00:00 /usr/sbin/sfcbd
system_u:system_r:init_t:s0     root     16232 16229  0 09:35 ?        00:00:00 /usr/sbin/sfcbd
system_u:system_r:init_t:s0     root     16233 16229  0 09:35 ?        00:00:00 /usr/sbin/sfcbd
system_u:system_r:init_t:s0     root     16235 16229  0 09:35 ?        00:00:00 /usr/sbin/sfcbd
system_u:system_r:init_t:s0     root     16238 16229  0 09:35 ?        00:00:00 /usr/sbin/sfcbd
system_u:system_r:init_t:s0     root     16242 16229  0 09:35 ?        00:00:00 /usr/sbin/sfcbd
unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023 root 16261 16042  0 09:35 pts/0 00:00:00 grep --color=auto sfcbd
#

Actual results:
 * sfcbd runs as init_t

Expected results:
 * sfcbd runs in its own SELinux domain
Comment 1 Miroslav Grepl 2013-11-04 05:26:26 EST
Probably will be a part of sblim policy.
Comment 2 Lukas Vrabec 2013-11-05 10:33:22 EST
commit 3a0b5c5e947ae195878e453bbeba2e9c55de593c
Author: Lukas Vrabec <lvrabec@redhat.com>
Date:   Tue Nov 5 15:54:37 2013 +0100

    Added more rules to sblim policy

commit ed0b346264645192932409fde539da10508fc8c1
Author: Lukas Vrabec <lvrabec@redhat.com>
Date:   Tue Nov 5 14:18:35 2013 +0100

    Included sfcbd service into sblim policy
Comment 5 Lukas Vrabec 2013-11-07 05:29:44 EST
commit c0f8384b846084e420dd7a1a87e7ffedf31245e0
Author: Lukas Vrabec <lvrabec@redhat.com>
Date:   Thu Nov 7 11:20:14 2013 +0100

    Rename sblim_tmpfs_t to sblim_sfcb_tmpfs_t and move rules with sblim_sfcb_tmpfs_t to sblim_sfcbd_t subpolicy

commit 4d53299b919baade2df3041e36b277502c1ab5b8
Author: Lukas Vrabec <lvrabec@redhat.com>
Date:   Thu Nov 7 10:14:47 2013 +0100

    Added sblim_tmpfs_t type in sblim policy
Comment 7 Lukas Vrabec 2013-11-22 06:48:28 EST
commit 4c4d23ac3fec6bbae8ddc7ebc9b105fe40eb993e
Author: Lukas Vrabec <lvrabec@redhat.com>
Date:   Fri Nov 22 12:46:50 2013 +0100

    Allow sblim_sfcbd_t to read from /dev/random and /dev/urandom
Comment 9 Ludek Smid 2014-06-13 08:13:32 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.